/****************************************************************************
 ** This file is part of Cubi, a Sparql query builder for the Qt framework
 **
 ** Copyright (c) 2010-2011 Nokia Corporation and/or its subsidiary(-ies).
 **
 ** Contact: Nokia Corporation (info@qt.nokia.com)
 **
 **
 ** GNU Lesser General Public License Usage
 **
 ** This file may be used under the terms of the GNU Lesser General Public
 ** License version 2.1 as published by the Free Software Foundation and
 ** appearing in the file LICENSE.LGPL included in the packaging of this file.
 ** Please review the following information to ensure the GNU Lesser General
 ** Public License version 2.1 requirements will be met:
 ** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 **
 ** In addition, as a special exception, Nokia gives you certain additional
 ** rights. These rights are described in the Nokia Qt LGPL Exception
 ** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
 **
 ** Other Usage
 **
 ** Alternatively, this file may be used in accordance with the terms and
 ** conditions contained in a signed written agreement between you and Nokia.
 **
 ** If you have questions regarding the use of this file, please contact
 ** Nokia at info@qt.nokia.com.
 ****************************************************************************/

#ifndef CUBI_CUBI_H
#define CUBI_CUBI_H

#include "blankvalue.h"
#include "compositionalselect.h"
#include "cubidefines.h"
#include "delete.h"
#include "exists.h"
#include "function.h"
#include "global.h"
#include "generatedvariable.h"
#include "graph.h"
#include "infixfunction.h"
#include "insert.h"
#include "literalvalue.h"
#include "patternbase.h"
#include "patterngroup.h"
#include "pattern.h"
#include "predicatefunction.h"
#include "prefixfunction.h"
#include "projection.h"
#include "resourcevalue.h"
#include "select.h"
#include "union.h"
#include "updatebase.h"
#include "utils.h"
#include "value.h"
#include "valuelist.h"
#include "variable.h"

#endif
