INCLUDES= \
	$(QT_CORE_CFLAGS) \
	$(QT_TEST_CFLAGS) \
	-I$(top_srcdir)/src \
	-I$(top_srcdir) \
	-DCUBI_EXPLICIT_CONSTRUCTORS

LDADD= \
	$(top_builddir)/src/libcubi-@CUBI_API_VERSION@.la \
	$(QT_CORE_LIBS) \
	$(QT_TEST_LIBS)

include $(top_srcdir)/moc.mk

TEST_PROGS=

test: ${TEST_PROGS} all
	@ test -z "${TEST_PROGS}" || $(top_srcdir)/tests/testhelper.sh ${TEST_PROGS}
	@ for subdir in $(SUBDIRS) . ; do \
	    test "$$subdir" = "." -o "$$subdir" = "po" || \
	    ( cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $@ ) || exit $? ; \
	  done

.PHONY: test

check-local: test
