#!/bin/sh

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.

olddir=`pwd`
cd $srcdir

PROJECT=cubi

AUTORECONF=`which autoreconf`
if test -z $AUTORECONF; then
	echo "*** No autoreconf found ***"
	exit 1
else
	autoreconf -v --install || exit $?
fi

cd $olddir

$srcdir/configure --enable-maintainer-mode "$@" && \
	echo "Now type 'make' to compile $PROJECT."
